org.eclipse.emf.compare.provider

## Class ResourceAttachmentChangeItemProvider

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.AdapterImpl
  - - org.eclipse.emf.edit.provider.ItemProviderAdapter
    - - org.eclipse.emf.compare.provider.DiffItemProvider
      - - org.eclipse.emf.compare.provider.ResourceAttachmentChangeItemProvider

All Implemented Interfaces:
  Adapter, Adapter.Internal, ResourceLocator, CreateChildCommand.Helper, IChangeNotifier, IDisposable, IEditingDomainItemProvider, IItemColorProvider, IItemFontProvider, IItemLabelProvider, IItemPropertySource, IStructuredItemContentProvider, ITreeItemContentProvider

Direct Known Subclasses:
  ResourceAttachmentChangeItemProviderSpec

    public class ResourceAttachmentChangeItemProvider
    extends DiffItemProvider
    implements IEditingDomainItemProvider, IStructuredItemContentProvider, ITreeItemContentProvider, IItemLabelProvider, IItemPropertySource, IItemColorProvider, IItemFontProvider

This is the item provider adapter for a `ResourceAttachmentChange` object.

Generated:

### Nested Class Summary

### Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`ItemProviderAdapter.ChildrenStore, ItemProviderAdapter.ModifiableSingletonEList<E>, ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

### Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter

`Adapter.Internal`

### Field Summary

Fields
`static String` `copyright`

### Fields inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`adapterFactory, changeNotifier, childrenFeatures, childrenReferences, childrenStoreMap, itemPropertyDescriptors, targets, wrappers, wrappingNeeded`

### Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`target`

### Fields inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider

`GRAYED_OUT_COLOR`

### Fields inherited from interface org.eclipse.emf.edit.provider.IItemFontProvider

`BOLD_FONT, BOLD_ITALIC_FONT, ITALIC_FONT, NORMAL_FONT`

### Constructor Summary

Constructors
Constructor and Description
`ResourceAttachmentChangeItemProvider(AdapterFactory adapterFactory)` This constructs an instance from a factory and a notifier

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `addResourceURIPropertyDescriptor(Object object)` This adds a property descriptor for the Resource URI feature
`protected void` `collectNewChildDescriptors(Collection<Object> newChildDescriptors, Object object)` This adds `CommandParameter`s describing the children that can be created under this object
`Object` `getImage(Object object)` This returns ResourceAttachmentChange.gif
`List<IItemPropertyDescriptor>` `getPropertyDescriptors(Object object)` This returns the property descriptors for the adapted class
`String` `getText(Object object)` This returns the label text for the adapted class
`void` `notifyChanged(Notification notification)` This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`

### Methods inherited from class org.eclipse.emf.compare.provider.DiffItemProvider

`addConflictPropertyDescriptor, addEquivalencePropertyDescriptor, addImpliedByPropertyDescriptor, addImpliesPropertyDescriptor, addKindPropertyDescriptor, addPrimeRefiningPropertyDescriptor, addRefinedByPropertyDescriptor, addRefinesPropertyDescriptor, addRequiredByPropertyDescriptor, addRequiresPropertyDescriptor, addSourcePropertyDescriptor, addStatePropertyDescriptor, getResourceLocator`

### Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter

`addListener, adjustWrapperIndex, adjustWrapperIndices, adjustWrapperIndices, createAddCommand, createAddCommand, createChildParameter, createChildrenStore, createCommand, createCopyCommand, createCreateChildCommand, createCreateChildCommand, createCreateCopyCommand, createDragAndDropCommand, createDragAndDropCommand, createInitializeCopyCommand, createItemPropertyDescriptor, createItemPropertyDescriptor, createMoveCommand, createMoveCommand, createRemoveCommand, createRemoveCommand, createReplaceCommand, createReplaceCommand, createReplaceCommand, createSetCommand, createSetCommand, createWrapper, crop, dispose, disposeWrapper, disposeWrappers, factorAddCommand, factorMoveCommand, factorRemoveCommand, fireNotifyChanged, getAdapterFactory, getBackground, getBackground, getBaseURL, getChildFeature, getChildReference, getChildren, getChildrenFeatures, getChildrenReferences, getChildrenStore, getColumnImage, getColumnText, getCreateChildDescription, getCreateChildImage, getCreateChildResult, getCreateChildText, getCreateChildToolTipText, getEditableValue, getElements, getFeatureText, getFeatureValue, getFont, getFont, getForeground, getForeground, getImage, getNewChildDescriptors, getParent, getPropertyDescriptor, getPropertyValue, getReferenceValue, getResourceLocator, getRootAdapterFactory, getSetFeature, getSetFeatures, getString, getString, getString, getString, getString, getString, getString, getString, getStyledText, getTypeText, getTypeText, getUpdateableText, getValue, getWrappedValues, hasChildren, hasChildren, isAdapterForType, isEquivalentValue, isPropertySet, isResolveProxies, isValidValue, isWrappingNeeded, overlayImage, removeListener, resetPropertyValue, setPropertyValue, setTarget, shouldComposeCreationImage, shouldTranslate, unsetTarget, unwrap, unwrapCommandValues, updateChildren, wrap, wrapCommand`

### Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl

`getTarget`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.emf.edit.provider.IEditingDomainItemProvider

`createCommand, getChildren, getNewChildDescriptors, getParent`

### Methods inherited from interface org.eclipse.emf.edit.provider.ITreeItemContentProvider

`getChildren, getParent, hasChildren`

### Methods inherited from interface org.eclipse.emf.edit.provider.IStructuredItemContentProvider

`getElements`

### Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource

`getEditableValue, getPropertyDescriptor`

### Methods inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider

`getBackground, getForeground`

### Methods inherited from interface org.eclipse.emf.edit.provider.IItemFontProvider

`getFont`

### Field Detail

#### copyright

    public static final String copyright

See Also:
  Constant Field Values
Generated:

### Constructor Detail

#### ResourceAttachmentChangeItemProvider

    public ResourceAttachmentChangeItemProvider(AdapterFactory adapterFactory)

This constructs an instance from a factory and a notifier.

Generated:

### Method Detail

#### getPropertyDescriptors

    public List<IItemPropertyDescriptor> getPropertyDescriptors(Object object)

This returns the property descriptors for the adapted class.

Specified by:
  `getPropertyDescriptors` in interface `IItemPropertySource`
Overrides:
  `getPropertyDescriptors` in class `DiffItemProvider`
Generated:

#### addResourceURIPropertyDescriptor

    protected void addResourceURIPropertyDescriptor(Object object)

This adds a property descriptor for the Resource URI feature.

Generated:

#### getImage

    public Object getImage(Object object)

This returns ResourceAttachmentChange.gif.

Specified by:
  `getImage` in interface `IItemLabelProvider`
Overrides:
  `getImage` in class `DiffItemProvider`
Generated:

#### getText

    public String getText(Object object)

This returns the label text for the adapted class.

Specified by:
  `getText` in interface `IItemLabelProvider`
Overrides:
  `getText` in class `DiffItemProvider`
Generated:

#### notifyChanged

    public void notifyChanged(Notification notification)

This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`.

Specified by:
  `notifyChanged` in interface `Adapter`
Overrides:
  `notifyChanged` in class `DiffItemProvider`
Generated:

#### collectNewChildDescriptors

    protected void collectNewChildDescriptors(Collection<Object> newChildDescriptors,
                                              Object object)

This adds `CommandParameter`s describing the children that can be created under this object.

Overrides:
  `collectNewChildDescriptors` in class `DiffItemProvider`
Generated: